Create Bigtable Instance
This operation creates Bigtable Instance.
- application/json
Request Body
instanceProperties object
instance object
instanceName string requiredapplicationId integer requiredclientName string requiredCloud Account Clinet name
planEntity object
planName string requiredcloudAppsInstance object
generalCloudProperties object
regionEndPoints stringregionInfo object
regionId integerregionType integerselected booleancredentials object
credentialName string requiredaccessNodes object
memberServers object[]
client object
clientName string requiredAccess Node Client Name
_type_ integerinstanceType stringcloudBigtableInstance object
projectId string requiredcloudStagingPath string required
Responses
- 200
- 400
- 401
OK
- application/json
- Schema
- Example (from schema)
- Example 1
Schema
processinginstructioninfo object
attributes object[]
name stringvalue stringresponse object
warningCode integererrorCode integerwarningMessage stringentity object
subclientId integerclientId integer_SubclType_ integerinstanceName stringinstanceId integer_type_ integer
{
"processinginstructioninfo": {
"attributes": [
{
"name": "string",
"value": "string"
}
]
},
"response": {
"warningCode": 0,
"errorCode": 0,
"warningMessage": "string",
"entity": {
"subclientId": 0,
"clientId": 0,
"_SubclType_": 0,
"instanceName": "string",
"instanceId": 0,
"_type_": 0
}
}
}
{
"processinginstructioninfo": {
"attributes": [
{
"name": "exitval",
"value": "0"
}
]
},
"response": {
"warningCode": 0,
"errorCode": 0,
"warningMessage": "",
"entity": {
"subclientId": 168,
"clientId": 20,
"_SubclType_": 0,
"instanceName": "Bigtable3",
"instanceId": 122,
"_type_": 0
}
}
}
Bad Request
- application/json
- Schema
- Example
Schema
- string
Request body is empty or format is invalid.
Unauthorized
- application/json
- Schema
- Example (from schema)
- Example
Schema
- errorMessage string
- errorCode integer
{
"errorMessage": "string",
"errorCode": 0
}
{
"errorMessage": "Access Denied",
"errorCode": 5
}
Loading...